ICOR3.0 sentienl2 error

my system is Ubuntu 20. SNAP 8.0 ICOR 3.0 .

python3 /opt/vito/icor/src/icor.py --sensor S2 --generate_viewing_grids_s2 false --glint_cor false --keep_intermediate false --apply_gains false --cloud_average_threshold 0.19 --cloud_low_band B01 --cloud_low_threshold 0.25 --cirrus true --aot true --aerosol_type RURAL --aot_window_size 100 --simec false --watervapor false --bg_window 1 --cirrus_threshold 0.01 --aot_override 0.1 --ozone_override 0.33 --wv_override 2.0 --water_band B08 --water_threshold 0.05 --working_folder /tmp/ --output_file /tmp/S2A_MSIL1C_20190419T023551_N0207_R089_T50RQQ_20190419T042616_processed.tif /media/binbin/Backup Plus/ningde/getOC-master-5/ningde/orgin_try/S2A_MSIL1C_20190419T023551_N0207_R089_T50RQQ_20190419T042616.SAFE/MTD_MSIL1C.xml

4% Convert to scaled radiance

Running ac_runner /tmp/icor_q334npy4_proc/atcconf39k5e7qi.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconf7pjprzje.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconf29bmpt11.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconf62bcfb1_.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconf9c8a9nzm.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconf1vyfd8k6.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconftj_eqlaf.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconf_cryqbrp.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconf2_vaqj9u.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconf1c_s84h8.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconfrfvccb1v.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconf_y8z_dx6.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconfw4f88lat.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconf5rjc7osa.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconf0w8dgvn9.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconfp7moyfjc.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconfe45aliry.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconfq8xnh0ds.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconfzcn0wp35.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconf0kbt75q8.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconfu5a1w26v.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconfdhlvj_nf.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconfcyhx8pzg.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconfxpmrd7cj.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconf4t1jmed7.conf
Running ac_runner /tmp/icor_q334npy4_proc/atcconfbo_yzpow.conf

9% Generate DEM

Running ac_runner /tmp/icor_q334npy4_proc/atcconfbw7lj6fc.conf
Failed!
Process output:
±--------------------------------------------------------------------
| b’:: load config file /tmp/icor_q334npy4_proc/atcconfbw7lj6fc.conf’
| b’:: open image : /tmp/icor_q334npy4_proc/S2A_OPER_MSI_L1C_TL_SGS__20190419T042616_A019963_T50RQQ_N02_07/S2A_OPER_MSI_L1C_TL_SGS__20190419T042616_A019963_T50RQQ_N02_07_ACRUNNER_Scaled_Reflectance_B01.tif’
| b’:: open image : /opt/vito/icor/bin/auxdata/GIS_Database_World/DEM_NOAA_Globe/DEM_Globe_CS.tif’
| b’An Exeption occured : std::exception’
±--------------------------------------------------------------------
Traceback (most recent call last):
File “/opt/vito/icor/src/icor/context.py”, line 497, in invoke_ac_runner_check
p = subprocess.check_output(cmd, shell=True, stderr=subprocess.STDOUT,env=env)
File “/home/binbin/miniconda3/envs/icor/lib/python3.7/subprocess.py”, line 411, in check_output
**kwargs).stdout
File “/home/binbin/miniconda3/envs/icor/lib/python3.7/subprocess.py”, line 512, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command ‘ac_runner /tmp/icor_q334npy4_proc/atcconfbw7lj6fc.conf’ returned non-zero exit status 255.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File “/opt/vito/icor/src/icor.py”, line 45, in process_product
icor.sentinel2.process_saf(context, product,working_folder)
File “/opt/vito/icor/src/icor/sentinel2.py”, line 39, in process_saf
sentinel2_granule(granule,context,dir)
File “/opt/vito/icor/src/icor/sentinel2.py”, line 235, in sentinel2_granule
“dem.output.location=” + prefix_context +"_DEM_60M.tif\n"
File “/opt/vito/icor/src/icor/context.py”, line 515, in invoke_ac_runner_check
raise Exception(comment)
Exception: process failed ac_runner /tmp/icor_q334npy4_proc/atcconfbw7lj6fc.conf
in stage : Generate DEM

13% Remove intermediate files from filesystem

Traceback (most recent call last):
File “/opt/vito/icor/src/icor.py”, line 76, in process_product
context.remove_tmp_files(working_folder,keep_tmp, output_folder)
File “/opt/vito/icor/src/icor/context.py”, line 797, in remove_tmp_files
self.remove_dimap_subfolder()
File “/opt/vito/icor/src/icor/context.py”, line 702, in remove_dimap_subfolder
os.chdir(dimap_vector_folder)
FileNotFoundError: [Errno 2] No such file or directory: ‘/tmp/icor_q334npy4_proc/dimap_file.data/vector_data’
could not remove tmpfiles from /tmp/icor_q334npy4_proc. Please check manually.
parsing arguments
done
icor installation folder /opt/vito/icor
running icor for Sentinel2 …
reading config /opt/vito/icor/src/config/local_sentinel2_simec.ini
output path = /tmp/S2A_MSIL1C_20190419T023551_N0207_R089_T50RQQ_20190419T042616_processed.tif
iCOR temp folder : /tmp/icor_q334npy4_proc
workflow = simec
/media/binbin/Backup Plus/ningde/getOC-master-5/ningde/orgin_try/S2A_MSIL1C_20190419T023551_N0207_R089_T50RQQ_20190419T042616.SAFE/MTD_MSIL1C.xml
processing Sentinel2 granule : S2A_OPER_MSI_L1C_TL_SGS__20190419T042616_A019963_T50RQQ_N02.07
delete tmp files failed
------ERROR-------
process failed due to error :
process failed ac_runner /tmp/icor_q334npy4_proc/atcconfbw7lj6fc.conf
in stage : Generate DEM
------ERROR-------
process end
iCOR Atmospheric correction done for product : /tmp/icor_q334npy4_proc/S2A_OPER_MSI_L1C_TL_SGS__20190419T042616_A019963_T50RQQ_N02_07/S2A_OPER_MSI_L1C_TL_SGS__20190419T042616_A019963_T50RQQ_N02_07
Finished tool execution in 48 seconds

I got the exact same error and have not found a way to solve it for now :confused: